CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

角度顶点属性 (ActiveX)

2023-1-3 22:55| 发布者: admin| 查看: 414| 评论: 0|来自: AutoCAD

摘要: 指定三点角度尺寸的角度顶点。

指定三点角度尺寸的角度顶点。

支持的平台:仅窗口

签名

工 务 局:

object.AngleVertex 
对象

类型:暗3点角

此属性适用的对象。

属性值

只读:

类型:变体(双精度的三元素数组)

表示角度折点的 3D 坐标。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AngleVertex()
    ' This example creates a Dim3PointAngular object in model space
    ' and then alters its angle vertex
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double, NewAngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    Dim CurrentVertex As Variant
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    NewAngleVertex(0) = 1: NewAngleVertex(1) = 1: NewAngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Display current vertex
    CurrentVertex = DimPointAngularObj.AngleVertex
    MsgBox "The angle vertex of the new object is set to:" & vbCrLf & _
            CurrentVertex(0) & vbCrLf & _
            CurrentVertex(1) & vbCrLf & _
            CurrentVertex(2)

    ' Alter vertex setting for this object
    DimPointAngularObj.AngleVertex = NewAngleVertex
    ThisDrawing.Regen acAllViewports
    
    ' Display new vertex settings
    CurrentVertex = DimPointAngularObj.AngleVertex
    MsgBox "The angle vertex of the object has been reset to:" & vbCrLf & _
            CurrentVertex(0) & vbCrLf & _
            CurrentVertex(1) & vbCrLf & _
            CurrentVertex(2)
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AngleVertex()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and then alters its angle vertex
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 2 5 0)
          NewAngleVertex (vlax-3d-point 1 1 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Display current vertex
    (setq CurrentVertex (vla-get-AngleVertex DimPointAngularObj))
    (alert (strcat "The angle vertex of the new object is set to:\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 0) 2) "\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 1) 2) "\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 2) 2)))

    ;; Alter vertex setting for this object
    (vla-put-AngleVertex DimPointAngularObj NewAngleVertex)
    (vla-Regen doc acAllViewports)
    
    ;; Display new vertex settings
    (setq CurrentVertex (vla-get-AngleVertex DimPointAngularObj))
    (alert (strcat "The angle vertex of the object has been reset to:\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 0) 2) "\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 1) 2) "\n"
                   (rtos (vlax-safearray-get-element (vlax-variant-value CurrentVertex) 2) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 12:23

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部